#ifndef GRAPHICVIEW
#define GRAPHICVIEW

#include <QGraphicsView>

class GraphicsView
     : public QGraphicsView
{
public:
    GraphicsView(QWidget * parent = 0);
    ~GraphicsView();

protected:
    void wheelEvent(QWheelEvent *event);

private:
    void setZoomFactor(qreal factor);

private:
    qreal m_zoomFactor;
};

#endif // GRAPHICVIEW

